Fix Notification added items path on Production

Apr 13, 2016 05:09 PM - Massimiliano Assante

Status: Closed Start date: Apr 13, 2016

Priority: Normal Due date: Apr 14, 2016

Assignee: Massimiliano Assante % Done: 100%

Category: Other Estimated time: 2.00 hours

Target version: UnSprintable   

Infrastructure: Production   

Description

We have all ready to proceed with the fix caused by the HL bug about items path. @valentina.marioli@isti.cnr.it provided me with jar

containing the patch to put in production. @costantino.perciante@isti.cnr.it finished the tests in dev environment with success 

https://support.d4science.org/issues/3234

The only problem I see is the amount of time required to apply this fix, as of in dev environment we had 9K notifications (circa) while

in Production we have 500K notifications (circa). In dev it took 10 minutes.

Related issues:

Related to D4Science Infrastructure - Support #3234: Fix Notification added i... Closed Apr 12, 2016 Apr 15, 2016

Blocked by D4Science Infrastructure - Task #3355: enable backup for cassandra... Closed Apr 15, 2016 Apr 15, 2016

History

#1 - Apr 13, 2016 05:21 PM - Massimiliano Assante

- Related to Support #3234: Fix Notification added items path added

#2 - Apr 14, 2016 07:11 PM - Massimiliano Assante

- Status changed from New to In Progress

- % Done changed from 0 to 100

The HL Patch provided by Valentina has been deployed on the 4 production gateways with success. Unfortunately we could not fix the previous

notifications as we still try to understand how to update 500K notifications in a reasonable amount of time. We launched a test 30 minutes ago and it

didn't return yet.

#3 - Apr 14, 2016 07:12 PM - Massimiliano Assante

- % Done changed from 100 to 90

#4 - Apr 15, 2016 02:51 PM - Massimiliano Assante

- Blocked by Task #3355: enable backup for cassandra production cluster added

#5 - Apr 15, 2016 02:52 PM - Massimiliano Assante

- Status changed from In Progress to Paused

We found the way to update in 30 minutes, however we just found out we have no backup for the cluster, cannot proceed until we have it (#3355)

#6 - Apr 18, 2016 05:35 PM - Massimiliano Assante

- Status changed from Paused to In Progress

#7 - Apr 18, 2016 05:37 PM - Massimiliano Assante

- Status changed from In Progress to Closed

- % Done changed from 90 to 100

@costantino.perciante@isti.cnr.it successfully executed the  script for editing and setting the correct items path on Production Notifications. By

Checking my notifications it seems the script did the job fine.
